// Project: eBus Connector
//  Module: Service Installer
//  Author: Thomas Ternyi (thomas@terenyi.at)

using System.ComponentModel;
using System.Configuration.Install;
using System.ServiceProcess;

namespace eBusConnector
{
    /// <summary>
    /// This class contains the service installer.
    /// </summary>
    [RunInstaller(true)]
    public partial class Installer : System.Configuration.Install.Installer
    {
        /// <summary>
        /// Constructs a new service installer.
        /// </summary>
        public Installer()
        {
            // Prepare the installers
            ServiceInstaller service = new ServiceInstaller();
            ServiceProcessInstaller process = new ServiceProcessInstaller();

            // Configure the service
            service.ServiceName = "eBusConnector";
            service.DisplayName = "eBus Connector";
            service.StartType = ServiceStartMode.Automatic;
            process.Account = ServiceAccount.LocalSystem;

            // Install the service
            Installers.Add(process);
            Installers.Add(service);
        }
    }
}
